From 6d7ab5f6486c6d30a685605aa5b0ecfda0434e86 Mon Sep 17 00:00:00 2001
From: Justin Lecher <jlec@gentoo.org>
Date: Tue, 27 Dec 2016 17:32:48 +0000
Subject: [PATCH] More advanced regex for configure colouring

Signed-off-by: Justin Lecher <jlec@gentoo.org>
---
 conf.configure | 21 +++++++++++++++++----
 1 file changed, 17 insertions(+), 4 deletions(-)

diff --git a/conf.configure b/conf.configure
index ac88ec7..e7b5d89 100644
--- a/conf.configure
+++ b/conf.configure
@@ -1,14 +1,27 @@
-regexp=^checking
+# cache functions
+regexp=\b(loading|updating|creating) cache\b
+colours=yellow bold
+.........
+# checking
+regexp=\bchecking\s*(for|if|whether|command|how|that)?(\s*to)?\b
 colours=bold blue
 .........
+# result is complex
 regexp=\.\.\. .*$
 colours=bold yellow
 .........
-regexp=\.\.\. yes$
+# check succeeded
+regexp=\.\.\.( \(cached\))? yes$
 colours=bold cyan
 .........
-regexp=\.\.\. no$
+# check did not succeed
+regexp=\.\.\.( \(cached\))? no$
 colours=bold red
 .........
-regexp=\.\.\.[ ]
+# ... should be normal
+regexp=\.\.\.
 colours=default
+.........
+# creating stuff
+regexp=\bcreating\b
+colours=green
